<?php
    require_once( "../../sl_root.php" );
    require_once( "core/SLConfiguration.php" );
    session_start();

    $sl_db_type = $_SESSION['sl_db_type'];
    
    if ( $sl_db_type == "mysql" || $sl_db_type == "postgresql" )
    {
        if ( !isset( $_SESSION['sl_db_admin_user'] ) )
        {
           header( "Location: db_admin_login.php" );
           echo "\n";
           die();
        }
    }
    
    
    $installer_root = "../"; 
    require_once( "../installer.header.php" );

    $sl_upacks = &$_SESSION['sl_upacks'];
    $sl_version = $_SESSION['sl_version'];
    
    for ( $i = 0; $i < count( $sl_upacks ); $i++ )
    {
        $from = $i == 0?$sl_version:$sl_upacks[$i - 1];
        $to = $sl_upacks[$i];
        echo "Upgrading: $from => $to<br>";
        require_once( "upgrade_packs/$to/apply_upgrade_pack.php" );
    }
    
    $_SESSION['sl_install_db_type'] = $_SESSION['sl_db_type'];
    $_SESSION['sl_install_db_host'] = $_SESSION['sl_db_host'];
    $_SESSION['sl_install_db_user'] = $_SESSION['sl_db_user'];
    $_SESSION['sl_install_db_pass'] = $_SESSION['sl_db_pass'];
    $_SESSION['sl_install_db_name'] = $_SESSION['sl_db_name']; 
    

    require_once( "installer/write_config_file.php" );
    
    $config_loaded = false;

    if ( is_readable( SL_ROOT."config/db.conf.php" ) )
    {
        require_once( "core/db/tables/SLConfigTable.php" );
        require_once( "core/SLConfigManager.php" );
        require_once( "core/db/db_init.php" );
       
        $config_table = new SLConfigTable( $db );
       
        $configManager = new SLConfigManager( $config_table );
        $config_loaded = $configManager->loadConfiguration();

        if ( $config_loaded )
        {
            $config = &$configManager->getConfiguration();
        
            $cur_msr = $config->getMediaServerRoot();
            $new_msr = $_SESSION['MediaServerRoot'];
            
            if( $cur_msr != $new_msr )
            {
                $msr_opt = $config_table->getOption( "MediaServerRoot" );
                $msr_opt->setValue( $new_msr );
                $config->setMediaServerRoot( $new_msr );
            }
            
            require_once( "installer/write_htaccess_files.php" );
        }
    }
?>
<br>
Upgrade complete.  <a href="../../browse/">Here</a>
<?php
        require_once( "../installer.footer.php" );
?>
