<?php
    require_once( "SQLiteTableManager.php" );

    // Add the new stats tables
    $db->query( 
        "CREATE TABLE stats_daily (".
        "date bigint(20) NOT NULL default '0',".
        "browses bigint(20) NOT NULL default '0',".
        "streams bigint(20) NOT NULL default '0',".
        "downloads bigint(20) NOT NULL default '0',".
        "PRIMARY KEY (date) )"
    );

    $db->query( 
        "CREATE TABLE stats_media (".
        "path text NOT NULL,".
        "streams bigint(20) NOT NULL default '0',".
        "downloads bigint(20) NOT NULL default '0' )"
    );

    $db->query( 
        "CREATE TABLE stats_user (".
        "uid bigint(20) NOT NULL default '0',".
        "streams bigint(20) NOT NULL default '0',".
        "downloads bigint(20) NOT NULL default '0',".
        "PRIMARY KEY (uid) )"
    );

    $tm = new SQLiteTableManager( $db->db );

    // Add the user based service privs to the users table.
    $tm->alter_query( "ALTER TABLE users ADD browse tinyint(4) NOT NULL default '0'" );
    $tm->alter_query( "ALTER TABLE users ADD browse tinyint(4) NOT NULL default '0'" );
    $tm->alter_query( "ALTER TABLE users ADD browse tinyint(4) NOT NULL default '0'" );


    // Fix the userid to uname in the error log.
    $tm->alter_query( "ALTER TABLE errorlog CHANGE userid uname varchar(50) NOT NULL default ''" );
  
 
    // Update the startip and endip columns.
    $tm->alter_query( "ALTER TABLE host_access CHANGE startip start varchar(15) NOT NULL default ''" );
    $tm->alter_query( "ALTER TABLE host_access CHANGE endip end varchar(15) NOT NULL default ''" );
?>
